:root{
    --theme_color:#A900FC;
}
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
.navbar-brand{
    color: var(--theme_color);
    font-weight: 500;
}
.navbar{
    background-color: rgba(255, 255, 255, 0.9);
    transition: 1s;
    box-shadow: 0px 2px 10px rgba(0,0,0,.2);
}
.hide{
    transition: 1s;
    background-color: transparent;
    box-shadow: 0px 2px 10px transparent;
}
.active{
    color: #A900FC !important;
    border-bottom: 2px solid var(--theme_color);
    transition: 1s;
}
.nav-item{
    border-bottom: 2px solid transparent;
    transition: 1s;
    font-weight: 600;
}
.nav-item:hover{
    border-bottom: 2px solid var(--theme_color);
    transition: 1s;
    font-weight: 600;
}
#main{
    width: 100%;
    display: flex;
    flex-direction: column;
    overflow-x: hidden;
}
/*--About--*/
#about{
    overflow-x: hidden;
    position: relative;
}
#rightCorner{
    position: absolute;
    right: 0;
    top: 0;
    width: 250px;
    height: 250px;
    z-index: 10;
    background-repeat: no-repeat;
    background-size: contain;
    background-image:url("images/abt_top_right.png");
}
#content{
    margin-top: 100px;
    z-index: 20;
}
#abtDetails{
    padding-bottom: 100px;
}
h4{
    font-weight: 500;
    font-size: 25px;
}
h5{
    font-weight: 500;
    font-size: 20px;
}
h6{
   font-weight: 400;
   font-size: 16px;
   color: grey; 
}
#contactUs{
    font-weight: 700;
    font-size: 15px;
}
#mblno{
    font-size: 13px;
    text-decoration: none;
    color: black !important;
    font-weight: 500;
}
#mblno:active{
    color: black;
}
#footer{
    margin-top: 150px;
    padding-top: 20px;
    background: linear-gradient(0deg, #F9F9F9 0%, #F9F9F9 100%), #F1F1F1;
    padding-bottom: 25px;
}
/*-------DOJo--------*/
#dojoItem{
    border:1px solid blue; 
    padding:10px;
    cursor: pointer;
    transition: .5s;
    min-height: 120px;
    text-align:center;
}
#dojoItem:hover{
    border:1px solid var(--theme_color); 
    transition: .5s;
    box-shadow: 0px 0px 15px rgba(0,0,0,.2);
}
#dojoItem:hover #dojoTxt{
    color:var(--theme_color);
}
/*------------------EVENTS and Download----------------*/
#lottie-container {
    position: relative;
    width: 100%;
    margin-top: 10vh;
    height: 100vh; /* This sets the container height to the viewport height */
    display: flex;
    justify-content: center;
    align-items: center;
}

.image1,
.image2 {
    position: absolute;
    max-width: 100%;
    height: auto;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
}
#image2{
    scale: 0.7;
}

.image1 {
    opacity: 0.7;
}

.eventItem{
    background: white;
    border-radius: 12px; 
    transition: 1s;
    margin-bottom: 10px;
    cursor: pointer;
    box-shadow: 0px 0px 18px 5px rgba(0, 0, 0, 0.07);
}
.eventItemClicked{
    transition: 1s;
    border: 0.50px black solid;
    margin-bottom: 0px;
}
.eventDetails{
    padding: 20px;
    margin-bottom: 10px; 
    background: white; 
    box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.10);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
#downloadBtn{
    background: #A900FC;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 5px;
    padding-bottom: 5px;
    border-radius: 2px;
    text-decoration: none !important;
}
/*-------------------------Contact--------------------*/
#contactImgContainer{
    display: flex;
    justify-content: center;
    align-items: center;
}
#contactBg1,#contactBg2{
    position: absolute;
    width: 300px;
    height: 300px;
    height: auto;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
}



@media only screen and (max-width: 400px) {
    #eventDText{
        font-size: 10px;
    }   
    #mapFrame{
        height: 300px;
    }
    #lottie-container,#contactImgContainer {
        position: relative;
        width: 100%;
        margin-top: 10vh;
        height: 50vh; /* This sets the container height to the viewport height */
        display: flex;
        justify-content: center;
        align-items: center;
    }
    
    .image1,
    .image2 {
        position: absolute;
        max-width: 100%;
        height: auto;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        margin: auto;
    }
    downloadBtn{
        padding-left: 10px;
        padding-right: 10px;
        padding-top: 5px;
        padding-bottom: 5px;
        border-radius: 2px;
    }
}
